The XMLDiff\Base class

- « Installation

- XMLDiff\Base::__construct »

- PHP Manual
- XMLDiff
- The XMLDiff\Base class

# The XMLDiff\Base class

(PECL xmldiff >= 0.8.0)

## Introduction

Base abstract class for all the comparsion classes in the extension.

## Class synopsis

class XMLDiff\Base {
/* Methods */
public __construct(string `$nsname`)
abstract public diff(mixed `$from`, mixed `$to`): mixed
abstract public merge(mixed `$src`, mixed `$diff`): mixed
}

## Table of Contents

- XMLDiff\Base::__construct — Constructor
- XMLDiff\Base::diff — Produce diff of two XML documents
- XMLDiff\Base::merge — Produce new XML document based on diff